import express from "express";
import PermissionHelper from "../../helpers/permissionHelper";

import award from "./award";
import communicationType from "./communicationType";
import executivePosition from "./executivePosition";
import membershipStatus from "./membershipStatus";
import qualification from "./qualification";
import calendarType from "./calendarType";
import queryStore from "./queryStore";
import template from "./template";

import member from "./member";
import protocol from "./protocol";
import calendar from "./calendar";
import queryBuilder from "./queryBuilder";

import role from "./role";
import user from "./user";
import invite from "./invite";

var router = express.Router({ mergeParams: true });

router.use("/award", PermissionHelper.passCheckMiddleware("read", "settings", "award"), award);
router.use(
  "/communicationtype",
  PermissionHelper.passCheckMiddleware("read", "settings", "communication_type"),
  communicationType
);
router.use(
  "/executiveposition",
  PermissionHelper.passCheckMiddleware("read", "settings", "executive_position"),
  executivePosition
);
router.use(
  "/membershipstatus",
  PermissionHelper.passCheckMiddleware("read", "settings", "membership_status"),
  membershipStatus
);
router.use("/qualification", PermissionHelper.passCheckMiddleware("read", "settings", "qualification"), qualification);
router.use("/calendartype", PermissionHelper.passCheckMiddleware("read", "settings", "calendar_type"), calendarType);
router.use("/querystore", PermissionHelper.passCheckMiddleware("read", "settings", "query_store"), queryStore);
router.use("/template", PermissionHelper.passCheckMiddleware("read", "settings", "template"), template);

router.use("/member", PermissionHelper.passCheckMiddleware("read", "club", "member"), member);
router.use("/protocol", PermissionHelper.passCheckMiddleware("read", "club", "protocol"), protocol);
router.use("/calendar", PermissionHelper.passCheckMiddleware("read", "club", "calendar"), calendar);
router.use("/querybuilder", PermissionHelper.passCheckMiddleware("read", "club", "query"), queryBuilder);

router.use("/role", PermissionHelper.passCheckMiddleware("read", "user", "role"), role);
router.use("/user", PermissionHelper.passCheckMiddleware("read", "user", "user"), user);
router.use("/invite", PermissionHelper.passCheckMiddleware("read", "user", "user"), invite);

export default router;
